Bug 41570 - How does kudzu work ?
How does kudzu work ?
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-21 09:01 EDT by derrien
Modified: 2014-03-16 22:20 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-21 14:14:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description derrien 2001-05-21 09:01:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; SunOS 5.7 sun4u)

Description of problem:
I have three questions about kudzu :

Even with :
chkconfig --list kudzu
kudzu           0:off   1:off   2:off   3:off   4:off   5:off   6:off

kudzu seems to modify /etc/fstab on boot with adding , for instance,
/dev/cdrom              /mnt/cdrom              iso9660
noauto,owner,kudzu,ro

How ?
Can we specify somewhere our options (insteed of noauto,owner,kudzu,ro)
Where is documented this kudzu option ?

Thanks.

How reproducible:
Always

Steps to Reproduce:
1. Delete the line from /etc/fstab
2. Reboot
3.
	

Additional info:
Comment 1 Bill Nottingham 2001-05-21 14:14:39 EDT
It's done by the updfstab program; it's run by the kudzu init script, but
it's *also* run on PCMCIA storage insertions, for instance.
Comment 2 Marco Bertola 2001-06-12 18:46:40 EDT
How to prevent the creation of the new entry in fstab anyway? (the new entry in
fstab cannot be unmounted by non root users, it is extremely annoying
Moreover it changes the symlinks /dev/cdrom and /dev/cdrom1 and keeps adding
directories to /mnt/
Also very annoying....
Thanks

Note You need to log in before you can comment on or make changes to this bug.